loci.formats.in

## Class SlideBook7Reader.CMainViewRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CMainViewRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CMainViewRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer[]` | `mBitDepth`
    `java.lang.Integer` | `mBkgndChannel`
    `java.lang.Float` | `mBlendFraction`
    `java.lang.Integer` | `mBlueChannel`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer[]` | `mChannelEnabled`
    `java.lang.Integer` | `mColorDisplay`
    `java.lang.Float[]` | `mGamma`
    `java.lang.Integer` | `mGreenChannel`
    `java.lang.Integer[]` | `mHigh`
    `java.lang.Integer[]` | `mHue`
    `java.lang.Integer[]` | `mLow`
    `java.lang.Float` | `mPseudoFrom`
    `java.lang.Float` | `mPseudoTo`
    `java.lang.Integer` | `mRedChannel`
    `java.lang.Integer[]` | `mSaturation`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Integer` | `mThumbPlane`
    `java.lang.Integer` | `mThumbTimePoint`
    `java.lang.Integer[]` | `mValue`
    `java.lang.Integer` | `mViewID`
    `java.lang.Integer` | `mViewOptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMainViewRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mViewID

          public java.lang.Integer mViewID

    - #### mRedChannel

          public java.lang.Integer mRedChannel

    - #### mGreenChannel

          public java.lang.Integer mGreenChannel

    - #### mBlueChannel

          public java.lang.Integer mBlueChannel

    - #### mBkgndChannel

          public java.lang.Integer mBkgndChannel

    - #### mLow

          public java.lang.Integer[] mLow

    - #### mHigh

          public java.lang.Integer[] mHigh

    - #### mColorDisplay

          public java.lang.Integer mColorDisplay

    - #### mPseudoFrom

          public java.lang.Float mPseudoFrom

    - #### mPseudoTo

          public java.lang.Float mPseudoTo

    - #### mThumbPlane

          public java.lang.Integer mThumbPlane

    - #### mViewOptions

          public java.lang.Integer mViewOptions

    - #### mGamma

          public java.lang.Float[] mGamma

    - #### mHue

          public java.lang.Integer[] mHue

    - #### mSaturation

          public java.lang.Integer[] mSaturation

    - #### mValue

          public java.lang.Integer[] mValue

    - #### mChannelEnabled

          public java.lang.Integer[] mChannelEnabled

    - #### mBitDepth

          public java.lang.Integer[] mBitDepth

    - #### mBlendFraction

          public java.lang.Float mBlendFraction

    - #### mThumbTimePoint

          public java.lang.Integer mThumbTimePoint

  - ### Constructor Detail

    - #### CMainViewRecord70

          CMainViewRecord70()

Copyright © 2026 Open Microscopy Environment